Bug 982025 - [abrt] seamonkey-2.17.1-1.fc19: nsProfileLock::FatalSignalHandler: Process /usr/lib/seamonkey/seamonkey was killed by signal 11 (SIGSEGV)
[abrt] seamonkey-2.17.1-1.fc19: nsProfileLock::FatalSignalHandler: Process /u...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:607550d954fdf93065a97bd7a62...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 16:37 EDT by freddokresna
Modified: 2013-07-16 08:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 08:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (223.82 KB, text/plain)
2013-07-07 16:37 EDT, freddokresna
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-07 16:37 EDT, freddokresna
no flags Details
File: core_backtrace (1.16 KB, text/plain)
2013-07-07 16:37 EDT, freddokresna
no flags Details
File: dso_list (13.56 KB, text/plain)
2013-07-07 16:37 EDT, freddokresna
no flags Details
File: environ (1.40 KB, text/plain)
2013-07-07 16:37 EDT, freddokresna
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-07 16:37 EDT, freddokresna
no flags Details
File: maps (45.48 KB, text/plain)
2013-07-07 16:38 EDT, freddokresna
no flags Details
File: open_fds (6.42 KB, text/plain)
2013-07-07 16:38 EDT, freddokresna
no flags Details
File: proc_pid_status (793 bytes, text/plain)
2013-07-07 16:38 EDT, freddokresna
no flags Details
File: var_log_messages (799 bytes, text/plain)
2013-07-07 16:38 EDT, freddokresna
no flags Details

  None (edit)
Description freddokresna 2013-07-07 16:37:21 EDT
Version-Release number of selected component:
seamonkey-2.17.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib/seamonkey/seamonkey
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib/seamonkey/seamonkey
kernel:         3.9.9-301.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 nsProfileLock::FatalSignalHandler at /usr/src/debug/seamonkey-2.17.1/comm-release/objdir/mozilla/toolkit/profile/nsProfileLock.cpp:180
 #4 isValid at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinferinlines.h:141
 #5 js::types::TypeCompartment::addPendingRecompile at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinfer.cpp:2572
 #6 addPendingRecompile at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinfer.cpp:2641
 #7 AddPendingRecompile at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinfer.cpp:2086
 #8 TypeConstraintFreezeStack::newType at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinfer.cpp:2139
 #9 resolvePending at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinferinlines.h:1114
 #10 js::types::TypeSet::addType at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinferinlines.h:1433
 #11 SetArgument at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinferinlines.h:1054
 #13 js::types::TypeMonitorCallSlow at /usr/src/debug/seamonkey-2.17.1/comm-release/mozilla/js/src/jsinfer.cpp:5286
Comment 1 freddokresna 2013-07-07 16:37:32 EDT
Created attachment 770174 [details]
File: backtrace
Comment 2 freddokresna 2013-07-07 16:37:37 EDT
Created attachment 770175 [details]
File: cgroup
Comment 3 freddokresna 2013-07-07 16:37:42 EDT
Created attachment 770176 [details]
File: core_backtrace
Comment 4 freddokresna 2013-07-07 16:37:48 EDT
Created attachment 770177 [details]
File: dso_list
Comment 5 freddokresna 2013-07-07 16:37:54 EDT
Created attachment 770178 [details]
File: environ
Comment 6 freddokresna 2013-07-07 16:37:58 EDT
Created attachment 770179 [details]
File: limits
Comment 7 freddokresna 2013-07-07 16:38:04 EDT
Created attachment 770180 [details]
File: maps
Comment 8 freddokresna 2013-07-07 16:38:09 EDT
Created attachment 770181 [details]
File: open_fds
Comment 9 freddokresna 2013-07-07 16:38:20 EDT
Created attachment 770182 [details]
File: proc_pid_status
Comment 10 freddokresna 2013-07-07 16:38:24 EDT
Created attachment 770183 [details]
File: var_log_messages
Comment 11 Ian Collier 2013-07-12 19:20:40 EDT
Seamonkey seems incredibly unstable while browsing Facebook.
This same version worked fine on Fedora 17 until the system
was upgraded. 

The backtrace seems to implicate libstdc++.so.6, but this comes
from the package libstdc++-4.8.1-1.fc19.i686 which verifies OK
with rpm -V.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib/seamonkey/seamonkey -new-instance
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib/seamonkey/seamonkey
kernel:         3.9.9-301.fc19.i686.PAE
package:        seamonkey-2.17.1-1.fc19
reason:         Process /usr/lib/seamonkey/seamonkey was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            500
xsession_errors:
Comment 12 Dmitry Butskoy 2013-07-13 09:26:49 EDT
According to http://www.seamonkey-project.org/releases/seamonkey2.19/#issues, there is an upstream issue related to "profile locking". And we see "nsProfileLock" in the backtrace. May be something related?...

Could you please test the latest seamonkey-2.19 from updates-testing?

Also, seamonkey-2.17 is based on the same code as Firefox-20, and seamonkey-2.19 shares code with firefox-22 . It could be useful to know whether the correspond version of Firefox has the same issue or not...
Comment 13 Ian Collier 2013-07-16 08:03:16 EDT
Sorry it didn't occur to me to look in updates-testing.  I have now done that and seamonkey-2.19 seems to work fine.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.